BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController Class Reference
Inheritance diagram for BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController:

## Public Member Functions
| OrganizationEmployeeController (ApplicationDBContext context, MinIOService documentService, IHttpContextAccessor httpContextAccessor)
async Task< ActionResult< ResponseObject > > | Get ()
async Task< ActionResult< ResponseObject > > | GetById (Guid orgEmployeeId)
async Task< ActionResult< ResponseObject > > | Post ([FromBody] PersonAddressRequest req)
async Task< ActionResult< ResponseObject > > | Put ([FromBody] PersonAddressRequest req, Guid orgEmployeeId)
async Task< ActionResult< ResponseObject > > | Delete (Guid orgEmployeeId)
async Task< ActionResult< ResponseObject > > | GetPositionEmployee (Guid profileId)
async Task< ActionResult< ResponseObject > > | PutPositionEmployee ([FromBody] PositionOrgEmployee req, Guid profileId)
async Task< ActionResult< ResponseObject > > | GetPositionEmployeeByProfile (Guid profileId)
async Task< ActionResult< ResponseObject > > | PostToReport ([FromBody] OrganizationEmployeeProfileRequest req)
| สั่งรายชื่อไปออกคำสั่ง

## Additional Inherited Members
Protected Member Functions inherited from BMA.EHR.Domain.Common.BaseController
virtual ActionResult< ResponseObject > | Success (string message, object? result=null)
virtual ActionResult< ResponseObject > | Success (object? result=null)
virtual ActionResult< ResponseObject > | Error (string message, string result, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, int statusCode=StatusCodes.Status500InternalServerError)

## Constructor & Destructor Documentation

## ◆ OrganizationEmployeeController()

BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController.OrganizationEmployeeController | ( | ApplicationDBContext | context,
|  | MinIOService | documentService,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

## Member Function Documentation

## ◆ Delete()

async Task< ActionResult< ResponseObject > > BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController.Delete | ( | Guid | orgEmployeeId | ) |
| inline

## ◆ Get()

async Task< ActionResult< ResponseObject > > BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController.Get | ( |  | ) |
| inline

## ◆ GetById()

async Task< ActionResult< ResponseObject > > BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController.GetById | ( | Guid | orgEmployeeId | ) |
| inline

## ◆ GetPositionEmployee()

async Task< ActionResult< ResponseObject > > BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController.GetPositionEmployee | ( | Guid | profileId | ) |
| inline

## ◆ GetPositionEmployeeByProfile()

async Task< ActionResult< ResponseObject > > BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController.GetPositionEmployeeByProfile | ( | Guid | profileId | ) |
| inline

## ◆ Post()

async Task< ActionResult< ResponseObject > > BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController.Post | ( | [FromBody] PersonAddressRequest | req | ) |
| inline

## ◆ PostToReport()

async Task< ActionResult< ResponseObject > > BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController.PostToReport | ( | [FromBody] OrganizationEmployeeProfileRequest | req | ) |
| inline

สั่งรายชื่อไปออกคำสั่ง

Returns

<response code="200"></response> <response code="400">ค่าตัวแปรที่ส่งมาไม่ถูกต้อง</response> <response code="401">ไม่ได้ Login เข้าระบบ</response> <response code="500">เมื่อเกิดข้อผิดพลาดในการทำงาน</response>

## ◆ Put()

async Task< ActionResult< ResponseObject > > BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController.Put | ( | [FromBody] PersonAddressRequest | req,
|  | Guid | orgEmployeeId
| ) |  |
| inline

## ◆ PutPositionEmployee()

async Task< ActionResult< ResponseObject > > BMA.EHR.OrganizationEmployee.Service.Controllers.OrganizationEmployeeController.PutPositionEmployee | ( | [FromBody] PositionOrgEmployee | req,
|  | Guid | profileId
| ) |  |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.OrganizationEmployee.Service/Controllers/OrganizationEmployeeController.cs